(* $Id: jg_menu.ml,v 1.6 1998/09/01 09:30:56 garrigue Exp $ *)

open Tk

class c text :parent ?underline:n = object (self)
  val pair =
    let button =
      Menubutton.create :parent :text underline:((fun ?n [< 0 >] -> n) ?n) in
    let menu =  Menu.create parent:button in
    Menubutton.configure button :menu;
    button, menu
  method button = fst pair
  method menu = snd pair
  method virtual add_command :
      label:string ->            ?underline:int ->
      ?accelerator:string ->     ?activebackground:color ->
      ?activeforeground:color -> ?background:color ->
      ?bitmap:bitmap ->          ?command:(unit -> unit) ->
      ?font:string ->            ?foreground:color ->
      ?image:image ->            ?state:state -> unit
  method add_command :label ?underline:n [< 0 >] =
    Menu.add_command ?(self#menu) ?label:(Some label) ?underline:(Some n)
end
